"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Joi = require("joi");
var validate_1 = require("./validate");
exports.InstallSshkeyRequestSchema = {
    key: Joi.string().label('SSH Key')
        .regex(/ssh-rsa AAAA[0-9A-Za-z+\/]+[=]{0,3} ([^@]+@[^@]+)/).required()
        .error(function (errors) {
        return errors.map(function (err) { return "\"" + err.context.lable + "\""; }).join(' and ') + ' should be a valid SSH-RSA key';
    }),
};
exports.validateInstallSshkeyRequest = function (json) {
    return validate_1.validate(Joi.object().keys(exports.InstallSshkeyRequestSchema), json);
};
