"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Joi = require("joi");
var validate_1 = require("./validate");
exports.LoginSchema = Joi.string().label('Username')
    .min(6)
    .max(32)
    .regex(/[a-z_][a-z0-9_-]*/)
    .not([
    'root',
    'daemon',
    'bin',
    'sys',
    'sync',
    'games',
    'man',
    'lp',
    'mail',
    'news',
    'uucp',
    'proxy',
    'www-data',
    'backup',
    'list',
    'irc',
    'gnats',
    'nobody',
    'systemd-timesync',
    'systemd-network',
    'systemd-resolve',
    'systemd-bus-proxy',
    'node',
    'sshd',
])
    .required();
exports.LoginRequestSchema = {
    login: exports.LoginSchema,
    password_hash: Joi.string().label('Password').hex().required(),
};
exports.validateLoginRequest = function (json) {
    return validate_1.validate(Joi.object().keys(exports.LoginRequestSchema), json);
};
