"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Joi = require("joi");
var validate_1 = require("./validate");
exports.ResponseSchema = {
    status: Joi.number().integer().required(),
    message: Joi.string(),
    data: Joi.object(),
};
exports.validateResponse = function (json) {
    var data = validate_1.validate(Joi.object().keys(exports.ResponseSchema), json);
    if (data.status != 200) {
        throw new Error(data.message);
    }
    return data;
};
exports.validateResponseWithSchema = function (dataSchema, json) {
    var data = validate_1.validate(Joi.object().keys(__assign({}, exports.ResponseSchema, { data: Joi.object().keys(dataSchema) })), json);
    if (data.status != 200) {
        throw new Error(data.message);
    }
    return data;
};
